Skip to content

Edit Replication Rule

PUT
/api/v1/container_registry/replication/policies/{policy_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/policies/{policy_id}/?policy_id=<POLICY_ID>&cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"policy_name": "asdd",
"registry_id": 49,
"flattening_level": -1,
"trigger_type": "manual",
"replicate_deletion": false,
"override": true,
"filters": [
{
"type": "name",
"value": ""
},
{
"type": "tag",
"decoration": "matches",
"value": ""
}
],
"enabled": true
}'
policy_id
required
string

Path parameter policy_id.

policy_id
required
integer

Policy ID

cr_project_id
required
integer
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
policy_name
string

Example

asdd
registry_id
integer

Example

49
flattening_level
integer

Example

-1
trigger_type
string

Example

manual
replicate_deletion
boolean

Example

false
override
boolean

Example

true
filters
Array<object>
object
type
string

Example

name
value
string

Example

decoration
string

Example

matches

Example

[
{
"type": "name",
"value": ""
},
{
"type": "tag",
"decoration": "matches",
"value": ""
}
]
enabled
boolean

Example

true

Replication policy updated successfully.

Media typeapplication/json
object
code
integer
data
object
policy_name
string
policy_id
integer
source_registry_id
integer
source_registry_name
string
destination_namespace
string
destination_namespace_replace_count
integer
policy_description
string
nullable
trigger_type
string
trigger_value
string
replicate_deletion
boolean
override
boolean
enabled
boolean
customer
integer
project
integer
created_at
string format: date-time
updated_at
string format: date-time
deleted_at
string
nullable
errors
object
key
additional properties
message
string

Example

{
"code": 200,
"data": {
"policy_name": "asdd",
"policy_id": 35,
"source_registry_id": 50,
"source_registry_name": "docker-source",
"destination_namespace": "cr-12345",
"destination_namespace_replace_count": -1,
"policy_description": null,
"trigger_type": "manual",
"trigger_value": "",
"replicate_deletion": false,
"override": true,
"enabled": true,
"customer": 12345,
"project": 123,
"created_at": "2025-04-29T10:55:31.586787Z",
"updated_at": "2025-04-29T11:27:14.077633Z",
"deleted_at": null
},
"errors": {},
"message": "Replication Policy Updated Successfully"
}